Bug 1719028 - [abrt] php-cli: zval_get_type(): php killed by SIGSEGV
Summary: [abrt] php-cli: zval_get_type(): php killed by SIGSEGV
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: php-pecl-xdebug
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8d6056be9de1a611a2ef4271aa8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 20:01 UTC by chazzbg
Modified: 2020-04-30 21:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (47.85 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: cgroup (331 bytes, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: core_backtrace (33.28 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: cpuinfo (1.49 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: dso_list (9.23 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: environ (4.72 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: exploitable (82 bytes, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: limits (1.29 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: maps (58.85 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: mountinfo (4.59 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: open_fds (336 bytes, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details
File: proc_pid_status (1.35 KB, text/plain)
2019-06-10 20:01 UTC, chazzbg
no flags Details

Description chazzbg 2019-06-10 20:01:07 UTC
Description of problem:
I'm not sure how to reproduce it reliably, but i have a project based on Symfony framework with Doctrine ORM. 
I happens when i try to make a request to the built in server or i try to update db schema.
When i disable xdebug extension, everything runs fine. 

Version-Release number of selected component:
php-cli-7.3.6-1.fc30

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        php bin/console doctrine:schema:update --force
crash_function: zval_get_type
executable:     /usr/bin/php
journald_cursor: s=043f1f35eaa34791a16bc4a89c408fc6;i=2c39f;b=3556f0eb70f14900834e05ff53081eba;m=2767054d8;t=58afd1676679f;x=67526dc0d24ac6b3
kernel:         5.1.7-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 zval_get_type at /usr/include/php/Zend/zend_types.h:411
 #1 xdebug_var_export at /usr/src/debug/php-pecl-xdebug-2.7.2-1.fc30.x86_64/NTS/xdebug_var.c:1041
 #3 xdebug_get_zval_value at /usr/src/debug/php-pecl-xdebug-2.7.2-1.fc30.x86_64/NTS/xdebug_var.c:1126
 #4 add_single_value at /usr/src/debug/php-pecl-xdebug-2.7.2-1.fc30.x86_64/NTS/xdebug_stack.c:371
 #5 xdebug_append_printable_stack at /usr/src/debug/php-pecl-xdebug-2.7.2-1.fc30.x86_64/NTS/xdebug_stack.c:451
 #6 xdebug_throw_exception_hook at /usr/src/debug/php-pecl-xdebug-2.7.2-1.fc30.x86_64/NTS/xdebug.c:1638
 #7 ??

Comment 1 chazzbg 2019-06-10 20:01:10 UTC
Created attachment 1579157 [details]
File: backtrace

Comment 2 chazzbg 2019-06-10 20:01:11 UTC
Created attachment 1579158 [details]
File: cgroup

Comment 3 chazzbg 2019-06-10 20:01:13 UTC
Created attachment 1579159 [details]
File: core_backtrace

Comment 4 chazzbg 2019-06-10 20:01:14 UTC
Created attachment 1579160 [details]
File: cpuinfo

Comment 5 chazzbg 2019-06-10 20:01:16 UTC
Created attachment 1579161 [details]
File: dso_list

Comment 6 chazzbg 2019-06-10 20:01:17 UTC
Created attachment 1579162 [details]
File: environ

Comment 7 chazzbg 2019-06-10 20:01:18 UTC
Created attachment 1579163 [details]
File: exploitable

Comment 8 chazzbg 2019-06-10 20:01:19 UTC
Created attachment 1579164 [details]
File: limits

Comment 9 chazzbg 2019-06-10 20:01:21 UTC
Created attachment 1579165 [details]
File: maps

Comment 10 chazzbg 2019-06-10 20:01:23 UTC
Created attachment 1579166 [details]
File: mountinfo

Comment 11 chazzbg 2019-06-10 20:01:24 UTC
Created attachment 1579167 [details]
File: open_fds

Comment 12 chazzbg 2019-06-10 20:01:25 UTC
Created attachment 1579168 [details]
File: proc_pid_status

Comment 13 Remi Collet 2019-06-14 09:13:39 UTC
Can you please open a upstream bug report about this issue ?
=> https://bugs.xdebug.org/

Comment 14 chazzbg 2019-06-14 12:15:40 UTC
sure, here is the link to the issue report there https://bugs.xdebug.org/view.php?id=1675

Comment 15 Ben Cotton 2020-04-30 21:47:39 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.